There is no more need of this file so remove it.

Signed-off-by: Michel Normand <normand@fr.ibm.com>
Signed-off-by: Daniel Lezcano <dlezcano@fr.ibm.com>
---
 src/lxc/cgroup.c |   18 +-----------------
 src/lxc/cgroup.h |    2 --
 src/lxc/start.c  |    3 +--
 3 files changed, 2 insertions(+), 21 deletions(-)

Index: lxc/src/lxc/cgroup.c
===================================================================
--- lxc.orig/src/lxc/cgroup.c
+++ lxc/src/lxc/cgroup.c
@@ -119,23 +119,7 @@ int lxc_rename_nsgroup(const char *name,
 	return ret;
 }
 
-int lxc_link_nsgroup(const char *name, const char *nsgroup)
-{
-	char lxc[MAXPATHLEN];
-	int ret;
-
-	snprintf(lxc, MAXPATHLEN, LXCPATH "/%s/nsgroup", name);
-
-	unlink(lxc);
-	ret = symlink(nsgroup, lxc);
-	if (ret)
-		SYSERROR("failed to create symlink %s->%s", nsgroup, lxc);
-	else
-		DEBUG("'%s' linked to '%s'", nsgroup, lxc);
-
-	return ret;
-}
-
+#warning keep lxc_unlink_nsgroup fct to be able to destroy old created container.
 int lxc_unlink_nsgroup(const char *name)
 {
 	char nsgroup[MAXPATHLEN];
Index: lxc/src/lxc/cgroup.h
===================================================================
--- lxc.orig/src/lxc/cgroup.h
+++ lxc/src/lxc/cgroup.h
@@ -26,9 +26,7 @@
 #define MAXPRIOLEN 24
 
 struct lxc_handler;
-int lxc_get_cgroup_mount(const char *mtab, char *mnt);
 int lxc_rename_nsgroup(const char *name, struct lxc_handler *handler);
-int lxc_link_nsgroup(const char *name, const char *nsgroup);
 int lxc_unlink_nsgroup(const char *name);
 int lxc_cgroup_path_get(char **path, const char *name);
 
Index: lxc/src/lxc/start.c
===================================================================
--- lxc.orig/src/lxc/start.c
+++ lxc/src/lxc/start.c
@@ -424,8 +424,7 @@ int lxc_spawn(const char *name, struct l
 		goto out_abort;
 	}
 
-	if (lxc_rename_nsgroup(name, handler) ||
-	    lxc_link_nsgroup(name, handler->nsgroup))
+	if (lxc_rename_nsgroup(name, handler))
 		goto out_abort;
 
 	/* Create the network configuration */



